// Verilog netlist produced by program LSE :  version Diamond (64-bit) 3.12.1.454
// Netlist written on Mon Sep 04 21:18:34 2023
//
// Verilog Description of module top
//

module top (Reset, Encoder1A_i, Encoder1B_i, Encoder1S_i, Encoder2A_i, 
            Encoder2B_i, Encoder2S_i, LED1, LED2, Cathodes_o, Segments_o) /* synthesis syn_module_defined=1 */ ;   // c:/lattice/kurs14/impl1/source/top.v(4[8:11])
    input Reset;   // c:/lattice/kurs14/impl1/source/top.v(5[14:19])
    input Encoder1A_i;   // c:/lattice/kurs14/impl1/source/top.v(7[13:24])
    input Encoder1B_i;   // c:/lattice/kurs14/impl1/source/top.v(8[13:24])
    input Encoder1S_i;   // c:/lattice/kurs14/impl1/source/top.v(9[13:24])
    input Encoder2A_i;   // c:/lattice/kurs14/impl1/source/top.v(10[13:24])
    input Encoder2B_i;   // c:/lattice/kurs14/impl1/source/top.v(11[13:24])
    input Encoder2S_i;   // c:/lattice/kurs14/impl1/source/top.v(12[13:24])
    output LED1;   // c:/lattice/kurs14/impl1/source/top.v(14[14:18])
    output LED2;   // c:/lattice/kurs14/impl1/source/top.v(15[14:18])
    output [7:0]Cathodes_o;   // c:/lattice/kurs14/impl1/source/top.v(16[20:30])
    output [7:0]Segments_o;   // c:/lattice/kurs14/impl1/source/top.v(17[20:30])
    
    wire Clock /* synthesis SET_AS_NETWORK=Clock, is_clock=1 */ ;   // c:/lattice/kurs14/impl1/source/top.v(22[7:12])
    
    wire GND_net, Reset_c, Encoder1A_i_c_2, Encoder1B_i_c_1, Encoder1S_i_c, 
        Encoder2A_i_c_2, Encoder2B_i_c_1, Encoder2S_i_c, LED1_c_0, LED2_c_0, 
        Cathodes_o_c_7, Cathodes_o_c_6, Cathodes_o_c_5, Cathodes_o_c_4, 
        Cathodes_o_c_3, Cathodes_o_c_2, Cathodes_o_c_1, Cathodes_o_c_0, 
        Segments_o_c_6, Segments_o_c_5, Segments_o_c_4, Segments_o_c_3, 
        Segments_o_c_2, Segments_o_c_1, Segments_o_c_0, Increment1, 
        Decrement1, Increment2, Decrement2;
    wire [15:0]Counter1;   // c:/lattice/kurs14/impl1/source/top.v(70[13:21])
    wire [15:0]Counter2;   // c:/lattice/kurs14/impl1/source/top.v(85[13:21])
    
    wire n650, n649, n648, n647, n646, n645, n644, n643, n642, 
        n641, n640, n639, n638, n637, n683, n682, n681, n680, 
        n679, n678, n677, n676, n675, n674, n673, n672, n671;
    wire [15:0]Counter1_15__N_1;
    wire [15:0]Counter2_15__N_19;
    
    wire A, B;
    wire [1:0]State_adj_160;   // c:/lattice/kurs14/impl1/source/encoder.v(37[12:17])
    
    wire n1494;
    wire [1:0]State_1__N_67_adj_169;
    
    wire Previous, Previous_adj_159, n1493, n1188, n1187, n636, 
        n635, n1492, VCC_net, n1186, n1185, n1184, n1183, n1182, 
        n1181, n1176, n1175, n1174, n1173, n1172, n1171, n1170, 
        n670, n1169, n684, n669;
    
    VHI i918 (.Z(VCC_net));
    IB Encoder1B_i_pad (.I(Encoder1B_i), .O(Encoder1B_i_c_1));   // c:/lattice/kurs14/impl1/source/top.v(8[13:24])
    FD1S3IX Counter1_i0 (.D(n650), .CK(Clock), .CD(n1494), .Q(Counter1[0]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i0.GSR = "ENABLED";
    IB Encoder1A_i_pad (.I(Encoder1A_i), .O(Encoder1A_i_c_2));   // c:/lattice/kurs14/impl1/source/top.v(7[13:24])
    OSCH OSCH_inst (.STDBY(GND_net), .OSC(Clock)) /* synthesis syn_instantiated=1 */ ;
    defparam OSCH_inst.NOM_FREQ = "14.00";
    OB Cathodes_o_pad_5 (.I(Cathodes_o_c_5), .O(Cathodes_o[5]));   // c:/lattice/kurs14/impl1/source/top.v(16[20:30])
    FD1S3AX Counter2_i2 (.D(Counter2_15__N_19[2]), .CK(Clock), .Q(Counter2[2]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i2.GSR = "ENABLED";
    IB Reset_pad (.I(Reset), .O(Reset_c));   // c:/lattice/kurs14/impl1/source/top.v(5[14:19])
    OB Segments_o_pad_0 (.I(Segments_o_c_0), .O(Segments_o[0]));   // c:/lattice/kurs14/impl1/source/top.v(17[20:30])
    OB Segments_o_pad_1 (.I(Segments_o_c_1), .O(Segments_o[1]));   // c:/lattice/kurs14/impl1/source/top.v(17[20:30])
    OB Segments_o_pad_2 (.I(Segments_o_c_2), .O(Segments_o[2]));   // c:/lattice/kurs14/impl1/source/top.v(17[20:30])
    OB Segments_o_pad_3 (.I(Segments_o_c_3), .O(Segments_o[3]));   // c:/lattice/kurs14/impl1/source/top.v(17[20:30])
    OB Cathodes_o_pad_6 (.I(Cathodes_o_c_6), .O(Cathodes_o[6]));   // c:/lattice/kurs14/impl1/source/top.v(16[20:30])
    OB Segments_o_pad_4 (.I(Segments_o_c_4), .O(Segments_o[4]));   // c:/lattice/kurs14/impl1/source/top.v(17[20:30])
    OB Cathodes_o_pad_4 (.I(Cathodes_o_c_4), .O(Cathodes_o[4]));   // c:/lattice/kurs14/impl1/source/top.v(16[20:30])
    FD1S3IX Counter2_i0 (.D(n684), .CK(Clock), .CD(n1493), .Q(Counter2[0]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i0.GSR = "ENABLED";
    OB Segments_o_pad_5 (.I(Segments_o_c_5), .O(Segments_o[5]));   // c:/lattice/kurs14/impl1/source/top.v(17[20:30])
    OB Segments_o_pad_6 (.I(Segments_o_c_6), .O(Segments_o[6]));   // c:/lattice/kurs14/impl1/source/top.v(17[20:30])
    FD1S3IX Counter2_i1 (.D(n683), .CK(Clock), .CD(n1493), .Q(Counter2[1]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i1.GSR = "ENABLED";
    OB Cathodes_o_pad_7 (.I(Cathodes_o_c_7), .O(Cathodes_o[7]));   // c:/lattice/kurs14/impl1/source/top.v(16[20:30])
    OB Segments_o_pad_7 (.I(Cathodes_o_c_4), .O(Segments_o[7]));   // c:/lattice/kurs14/impl1/source/top.v(17[20:30])
    OB Cathodes_o_pad_0 (.I(Cathodes_o_c_0), .O(Cathodes_o[0]));   // c:/lattice/kurs14/impl1/source/top.v(16[20:30])
    OB LED1_pad (.I(LED1_c_0), .O(LED1));   // c:/lattice/kurs14/impl1/source/top.v(14[14:18])
    OB Cathodes_o_pad_1 (.I(Cathodes_o_c_1), .O(Cathodes_o[1]));   // c:/lattice/kurs14/impl1/source/top.v(16[20:30])
    OB Cathodes_o_pad_2 (.I(Cathodes_o_c_2), .O(Cathodes_o[2]));   // c:/lattice/kurs14/impl1/source/top.v(16[20:30])
    CCU2D add_201_17 (.A0(Counter2[14]), .B0(Increment2), .C0(GND_net), 
          .D0(GND_net), .A1(Counter2[15]), .B1(Increment2), .C1(GND_net), 
          .D1(GND_net), .CIN(n1188), .S0(n670), .S1(n669));   // c:/lattice/kurs14/impl1/source/top.v(91[8] 96[32])
    defparam add_201_17.INIT0 = 16'h5999;
    defparam add_201_17.INIT1 = 16'h5999;
    defparam add_201_17.INJECT1_0 = "NO";
    defparam add_201_17.INJECT1_1 = "NO";
    CCU2D add_201_15 (.A0(Counter2[12]), .B0(Increment2), .C0(GND_net), 
          .D0(GND_net), .A1(Counter2[13]), .B1(Increment2), .C1(GND_net), 
          .D1(GND_net), .CIN(n1187), .COUT(n1188), .S0(n672), .S1(n671));   // c:/lattice/kurs14/impl1/source/top.v(91[8] 96[32])
    defparam add_201_15.INIT0 = 16'h5999;
    defparam add_201_15.INIT1 = 16'h5999;
    defparam add_201_15.INJECT1_0 = "NO";
    defparam add_201_15.INJECT1_1 = "NO";
    CCU2D add_201_13 (.A0(Counter2[10]), .B0(Increment2), .C0(GND_net), 
          .D0(GND_net), .A1(Counter2[11]), .B1(Increment2), .C1(GND_net), 
          .D1(GND_net), .CIN(n1186), .COUT(n1187), .S0(n674), .S1(n673));   // c:/lattice/kurs14/impl1/source/top.v(91[8] 96[32])
    defparam add_201_13.INIT0 = 16'h5999;
    defparam add_201_13.INIT1 = 16'h5999;
    defparam add_201_13.INJECT1_0 = "NO";
    defparam add_201_13.INJECT1_1 = "NO";
    Encoder_U2 Encoder1 (.Clock(Clock), .Decrement1(Decrement1), .Increment1(Increment1), 
            .Encoder1S_i_c(Encoder1S_i_c), .LED1_c_0(LED1_c_0), .Encoder1A_i_c_2(Encoder1A_i_c_2), 
            .Encoder1B_i_c_1(Encoder1B_i_c_1), .Previous(Previous), .n648(n648), 
            .\Counter1_15__N_1[2] (Counter1_15__N_1[2])) /* synthesis syn_module_defined=1 */ ;   // c:/lattice/kurs14/impl1/source/top.v(37[10] 48[3])
    \DisplayMultiplex(CLOCK_HZ=14000000)  DisplayMultiplex_inst (.Counter1({Counter1}), 
            .Counter2({Counter2}), .Clock(Clock), .Cathodes_o_c_6(Cathodes_o_c_6), 
            .Cathodes_o_c_7(Cathodes_o_c_7), .Cathodes_o_c_5(Cathodes_o_c_5), 
            .Cathodes_o_c_4(Cathodes_o_c_4), .Cathodes_o_c_2(Cathodes_o_c_2), 
            .Cathodes_o_c_3(Cathodes_o_c_3), .Cathodes_o_c_0(Cathodes_o_c_0), 
            .Cathodes_o_c_1(Cathodes_o_c_1), .GND_net(GND_net), .Segments_o_c_4(Segments_o_c_4), 
            .Segments_o_c_2(Segments_o_c_2), .Segments_o_c_1(Segments_o_c_1), 
            .Segments_o_c_0(Segments_o_c_0), .Segments_o_c_6(Segments_o_c_6), 
            .Segments_o_c_3(Segments_o_c_3), .Segments_o_c_5(Segments_o_c_5)) /* synthesis syn_module_defined=1 */ ;   // c:/lattice/kurs14/impl1/source/top.v(104[4] 112[3])
    OB Cathodes_o_pad_3 (.I(Cathodes_o_c_3), .O(Cathodes_o[3]));   // c:/lattice/kurs14/impl1/source/top.v(16[20:30])
    CCU2D add_201_11 (.A0(Counter2[8]), .B0(Increment2), .C0(GND_net), 
          .D0(GND_net), .A1(Counter2[9]), .B1(Increment2), .C1(GND_net), 
          .D1(GND_net), .CIN(n1185), .COUT(n1186), .S0(n676), .S1(n675));   // c:/lattice/kurs14/impl1/source/top.v(91[8] 96[32])
    defparam add_201_11.INIT0 = 16'h5999;
    defparam add_201_11.INIT1 = 16'h5999;
    defparam add_201_11.INJECT1_0 = "NO";
    defparam add_201_11.INJECT1_1 = "NO";
    FD1S3IX Counter1_i15 (.D(n635), .CK(Clock), .CD(n1494), .Q(Counter1[15]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i15.GSR = "ENABLED";
    FD1S3AX Counter1_i14 (.D(Counter1_15__N_1[14]), .CK(Clock), .Q(Counter1[14]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i14.GSR = "ENABLED";
    FD1S3IX Counter1_i13 (.D(n637), .CK(Clock), .CD(n1494), .Q(Counter1[13]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i13.GSR = "ENABLED";
    FD1S3AX Counter1_i12 (.D(Counter1_15__N_1[12]), .CK(Clock), .Q(Counter1[12]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i12.GSR = "ENABLED";
    FD1S3IX Counter1_i11 (.D(n639), .CK(Clock), .CD(n1494), .Q(Counter1[11]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i11.GSR = "ENABLED";
    FD1S3AX Counter1_i10 (.D(Counter1_15__N_1[10]), .CK(Clock), .Q(Counter1[10]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i10.GSR = "ENABLED";
    FD1S3AX Counter1_i9 (.D(Counter1_15__N_1[9]), .CK(Clock), .Q(Counter1[9]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i9.GSR = "ENABLED";
    FD1S3IX Counter1_i8 (.D(n642), .CK(Clock), .CD(n1494), .Q(Counter1[8]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i8.GSR = "ENABLED";
    FD1S3IX Counter1_i7 (.D(n643), .CK(Clock), .CD(n1494), .Q(Counter1[7]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i7.GSR = "ENABLED";
    FD1S3AX Counter1_i6 (.D(Counter1_15__N_1[6]), .CK(Clock), .Q(Counter1[6]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i6.GSR = "ENABLED";
    FD1S3AX Counter1_i5 (.D(Counter1_15__N_1[5]), .CK(Clock), .Q(Counter1[5]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i5.GSR = "ENABLED";
    FD1S3AX Counter1_i4 (.D(Counter1_15__N_1[4]), .CK(Clock), .Q(Counter1[4]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i4.GSR = "ENABLED";
    FD1S3AX Counter1_i3 (.D(Counter1_15__N_1[3]), .CK(Clock), .Q(Counter1[3]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i3.GSR = "ENABLED";
    FD1S3IX Counter2_i7 (.D(n677), .CK(Clock), .CD(n1493), .Q(Counter2[7]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i7.GSR = "ENABLED";
    FD1S3IX Counter2_i8 (.D(n676), .CK(Clock), .CD(n1493), .Q(Counter2[8]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i8.GSR = "ENABLED";
    FD1S3AX Counter2_i9 (.D(Counter2_15__N_19[9]), .CK(Clock), .Q(Counter2[9]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i9.GSR = "ENABLED";
    FD1S3AX Counter2_i10 (.D(Counter2_15__N_19[10]), .CK(Clock), .Q(Counter2[10]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i10.GSR = "ENABLED";
    FD1S3IX Counter2_i11 (.D(n673), .CK(Clock), .CD(n1493), .Q(Counter2[11]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i11.GSR = "ENABLED";
    FD1S3AX Counter2_i12 (.D(Counter2_15__N_19[12]), .CK(Clock), .Q(Counter2[12]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i12.GSR = "ENABLED";
    FD1S3IX Counter2_i13 (.D(n671), .CK(Clock), .CD(n1493), .Q(Counter2[13]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i13.GSR = "ENABLED";
    FD1S3AX Counter2_i14 (.D(Counter2_15__N_19[14]), .CK(Clock), .Q(Counter2[14]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i14.GSR = "ENABLED";
    FD1S3IX Counter2_i15 (.D(n669), .CK(Clock), .CD(n1493), .Q(Counter2[15]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i15.GSR = "ENABLED";
    FD1S3IX Counter1_i1 (.D(n649), .CK(Clock), .CD(n1494), .Q(Counter1[1]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i1.GSR = "ENABLED";
    FD1S3AX Counter1_i2 (.D(Counter1_15__N_1[2]), .CK(Clock), .Q(Counter1[2]));   // c:/lattice/kurs14/impl1/source/top.v(74[8] 81[32])
    defparam Counter1_i2.GSR = "ENABLED";
    FD1S3AX Counter2_i6 (.D(Counter2_15__N_19[6]), .CK(Clock), .Q(Counter2[6]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i6.GSR = "ENABLED";
    FD1S3AX Counter2_i3 (.D(Counter2_15__N_19[3]), .CK(Clock), .Q(Counter2[3]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i3.GSR = "ENABLED";
    OB LED2_pad (.I(LED2_c_0), .O(LED2));   // c:/lattice/kurs14/impl1/source/top.v(15[14:18])
    CCU2D add_201_9 (.A0(Counter2[6]), .B0(Increment2), .C0(GND_net), 
          .D0(GND_net), .A1(Counter2[7]), .B1(Increment2), .C1(GND_net), 
          .D1(GND_net), .CIN(n1184), .COUT(n1185), .S0(n678), .S1(n677));   // c:/lattice/kurs14/impl1/source/top.v(91[8] 96[32])
    defparam add_201_9.INIT0 = 16'h5999;
    defparam add_201_9.INIT1 = 16'h5999;
    defparam add_201_9.INJECT1_0 = "NO";
    defparam add_201_9.INJECT1_1 = "NO";
    CCU2D add_201_7 (.A0(Counter2[4]), .B0(Increment2), .C0(GND_net), 
          .D0(GND_net), .A1(Counter2[5]), .B1(Increment2), .C1(GND_net), 
          .D1(GND_net), .CIN(n1183), .COUT(n1184), .S0(n680), .S1(n679));   // c:/lattice/kurs14/impl1/source/top.v(91[8] 96[32])
    defparam add_201_7.INIT0 = 16'h5999;
    defparam add_201_7.INIT1 = 16'h5999;
    defparam add_201_7.INJECT1_0 = "NO";
    defparam add_201_7.INJECT1_1 = "NO";
    CCU2D add_201_5 (.A0(Counter2[2]), .B0(Increment2), .C0(GND_net), 
          .D0(GND_net), .A1(Counter2[3]), .B1(Increment2), .C1(GND_net), 
          .D1(GND_net), .CIN(n1182), .COUT(n1183), .S0(n682), .S1(n681));   // c:/lattice/kurs14/impl1/source/top.v(91[8] 96[32])
    defparam add_201_5.INIT0 = 16'h5999;
    defparam add_201_5.INIT1 = 16'h5999;
    defparam add_201_5.INJECT1_0 = "NO";
    defparam add_201_5.INJECT1_1 = "NO";
    CCU2D add_201_3 (.A0(Increment2), .B0(Decrement2), .C0(Counter2[0]), 
          .D0(GND_net), .A1(Counter2[1]), .B1(Increment2), .C1(GND_net), 
          .D1(GND_net), .CIN(n1181), .COUT(n1182), .S0(n684), .S1(n683));   // c:/lattice/kurs14/impl1/source/top.v(91[8] 96[32])
    defparam add_201_3.INIT0 = 16'h4b4b;
    defparam add_201_3.INIT1 = 16'h5999;
    defparam add_201_3.INJECT1_0 = "NO";
    defparam add_201_3.INJECT1_1 = "NO";
    CCU2D add_201_1 (.A0(GND_net), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Increment2), .B1(GND_net), .C1(GND_net), .D1(GND_net), 
          .COUT(n1181));   // c:/lattice/kurs14/impl1/source/top.v(91[8] 96[32])
    defparam add_201_1.INIT0 = 16'hF000;
    defparam add_201_1.INIT1 = 16'h0aaa;
    defparam add_201_1.INJECT1_0 = "NO";
    defparam add_201_1.INJECT1_1 = "NO";
    CCU2D add_197_17 (.A0(Counter1[14]), .B0(Increment1), .C0(GND_net), 
          .D0(GND_net), .A1(Counter1[15]), .B1(Increment1), .C1(GND_net), 
          .D1(GND_net), .CIN(n1176), .S0(n636), .S1(n635));   // c:/lattice/kurs14/impl1/source/top.v(76[8] 81[32])
    defparam add_197_17.INIT0 = 16'h5999;
    defparam add_197_17.INIT1 = 16'h5999;
    defparam add_197_17.INJECT1_0 = "NO";
    defparam add_197_17.INJECT1_1 = "NO";
    CCU2D add_197_15 (.A0(Counter1[12]), .B0(Increment1), .C0(GND_net), 
          .D0(GND_net), .A1(Counter1[13]), .B1(Increment1), .C1(GND_net), 
          .D1(GND_net), .CIN(n1175), .COUT(n1176), .S0(n638), .S1(n637));   // c:/lattice/kurs14/impl1/source/top.v(76[8] 81[32])
    defparam add_197_15.INIT0 = 16'h5999;
    defparam add_197_15.INIT1 = 16'h5999;
    defparam add_197_15.INJECT1_0 = "NO";
    defparam add_197_15.INJECT1_1 = "NO";
    CCU2D add_197_13 (.A0(Counter1[10]), .B0(Increment1), .C0(GND_net), 
          .D0(GND_net), .A1(Counter1[11]), .B1(Increment1), .C1(GND_net), 
          .D1(GND_net), .CIN(n1174), .COUT(n1175), .S0(n640), .S1(n639));   // c:/lattice/kurs14/impl1/source/top.v(76[8] 81[32])
    defparam add_197_13.INIT0 = 16'h5999;
    defparam add_197_13.INIT1 = 16'h5999;
    defparam add_197_13.INJECT1_0 = "NO";
    defparam add_197_13.INJECT1_1 = "NO";
    CCU2D add_197_11 (.A0(Counter1[8]), .B0(Increment1), .C0(GND_net), 
          .D0(GND_net), .A1(Counter1[9]), .B1(Increment1), .C1(GND_net), 
          .D1(GND_net), .CIN(n1173), .COUT(n1174), .S0(n642), .S1(n641));   // c:/lattice/kurs14/impl1/source/top.v(76[8] 81[32])
    defparam add_197_11.INIT0 = 16'h5999;
    defparam add_197_11.INIT1 = 16'h5999;
    defparam add_197_11.INJECT1_0 = "NO";
    defparam add_197_11.INJECT1_1 = "NO";
    GSR GSR_INST (.GSR(Reset_c));
    LUT4 i413_1_lut_rep_19 (.A(State_adj_160[1]), .Z(n1492)) /* synthesis lut_function=(!(A)) */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(46[4] 84[11])
    defparam i413_1_lut_rep_19.init = 16'h5555;
    LUT4 i842_4_lut_4_lut (.A(State_adj_160[1]), .B(State_adj_160[0]), .C(A), 
         .D(B), .Z(State_1__N_67_adj_169[1])) /* synthesis lut_function=(!(A (C (D))+!A (B (C+(D))+!B (C)))) */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(46[4] 84[11])
    defparam i842_4_lut_4_lut.init = 16'h0baf;
    LUT4 i475_2_lut_3_lut (.A(LED2_c_0), .B(Previous_adj_159), .C(n680), 
         .Z(Counter2_15__N_19[4])) /* synthesis lut_function=(A ((C)+!B)+!A (B+(C))) */ ;
    defparam i475_2_lut_3_lut.init = 16'hf6f6;
    CCU2D add_197_9 (.A0(Counter1[6]), .B0(Increment1), .C0(GND_net), 
          .D0(GND_net), .A1(Counter1[7]), .B1(Increment1), .C1(GND_net), 
          .D1(GND_net), .CIN(n1172), .COUT(n1173), .S0(n644), .S1(n643));   // c:/lattice/kurs14/impl1/source/top.v(76[8] 81[32])
    defparam add_197_9.INIT0 = 16'h5999;
    defparam add_197_9.INIT1 = 16'h5999;
    defparam add_197_9.INJECT1_0 = "NO";
    defparam add_197_9.INJECT1_1 = "NO";
    CCU2D add_197_7 (.A0(Counter1[4]), .B0(Increment1), .C0(GND_net), 
          .D0(GND_net), .A1(Counter1[5]), .B1(Increment1), .C1(GND_net), 
          .D1(GND_net), .CIN(n1171), .COUT(n1172), .S0(n646), .S1(n645));   // c:/lattice/kurs14/impl1/source/top.v(76[8] 81[32])
    defparam add_197_7.INIT0 = 16'h5999;
    defparam add_197_7.INIT1 = 16'h5999;
    defparam add_197_7.INJECT1_0 = "NO";
    defparam add_197_7.INJECT1_1 = "NO";
    CCU2D add_197_5 (.A0(Counter1[2]), .B0(Increment1), .C0(GND_net), 
          .D0(GND_net), .A1(Counter1[3]), .B1(Increment1), .C1(GND_net), 
          .D1(GND_net), .CIN(n1170), .COUT(n1171), .S0(n648), .S1(n647));   // c:/lattice/kurs14/impl1/source/top.v(76[8] 81[32])
    defparam add_197_5.INIT0 = 16'h5999;
    defparam add_197_5.INIT1 = 16'h5999;
    defparam add_197_5.INJECT1_0 = "NO";
    defparam add_197_5.INJECT1_1 = "NO";
    CCU2D add_197_3 (.A0(Increment1), .B0(Decrement1), .C0(Counter1[0]), 
          .D0(GND_net), .A1(Counter1[1]), .B1(Increment1), .C1(GND_net), 
          .D1(GND_net), .CIN(n1169), .COUT(n1170), .S0(n650), .S1(n649));   // c:/lattice/kurs14/impl1/source/top.v(76[8] 81[32])
    defparam add_197_3.INIT0 = 16'h4b4b;
    defparam add_197_3.INIT1 = 16'h5999;
    defparam add_197_3.INJECT1_0 = "NO";
    defparam add_197_3.INJECT1_1 = "NO";
    CCU2D add_197_1 (.A0(GND_net), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Increment1), .B1(GND_net), .C1(GND_net), .D1(GND_net), 
          .COUT(n1169));   // c:/lattice/kurs14/impl1/source/top.v(76[8] 81[32])
    defparam add_197_1.INIT0 = 16'hF000;
    defparam add_197_1.INIT1 = 16'h0aaa;
    defparam add_197_1.INJECT1_0 = "NO";
    defparam add_197_1.INJECT1_1 = "NO";
    LUT4 i473_2_lut_3_lut (.A(LED2_c_0), .B(Previous_adj_159), .C(n679), 
         .Z(Counter2_15__N_19[5])) /* synthesis lut_function=(A ((C)+!B)+!A (B+(C))) */ ;
    defparam i473_2_lut_3_lut.init = 16'hf6f6;
    FD1S3AX Counter2_i4 (.D(Counter2_15__N_19[4]), .CK(Clock), .Q(Counter2[4]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i4.GSR = "ENABLED";
    FD1S3AX Counter2_i5 (.D(Counter2_15__N_19[5]), .CK(Clock), .Q(Counter2[5]));   // c:/lattice/kurs14/impl1/source/top.v(89[8] 96[32])
    defparam Counter2_i5.GSR = "ENABLED";
    LUT4 i15_2_lut_rep_21 (.A(LED1_c_0), .B(Previous), .Z(n1494)) /* synthesis lut_function=(!(A (B)+!A !(B))) */ ;
    defparam i15_2_lut_rep_21.init = 16'h6666;
    LUT4 i15_2_lut_rep_20 (.A(LED2_c_0), .B(Previous_adj_159), .Z(n1493)) /* synthesis lut_function=(!(A (B)+!A !(B))) */ ;
    defparam i15_2_lut_rep_20.init = 16'h6666;
    LUT4 i515_2_lut_3_lut (.A(LED1_c_0), .B(Previous), .C(n645), .Z(Counter1_15__N_1[5])) /* synthesis lut_function=(A ((C)+!B)+!A (B+(C))) */ ;
    defparam i515_2_lut_3_lut.init = 16'hf6f6;
    LUT4 i467_2_lut_3_lut (.A(LED2_c_0), .B(Previous_adj_159), .C(n675), 
         .Z(Counter2_15__N_19[9])) /* synthesis lut_function=(A ((C)+!B)+!A (B+(C))) */ ;
    defparam i467_2_lut_3_lut.init = 16'hf6f6;
    LUT4 i516_2_lut_3_lut (.A(LED1_c_0), .B(Previous), .C(n646), .Z(Counter1_15__N_1[4])) /* synthesis lut_function=(A ((C)+!B)+!A (B+(C))) */ ;
    defparam i516_2_lut_3_lut.init = 16'hf6f6;
    LUT4 mux_183_i11_3_lut_4_lut_3_lut (.A(LED1_c_0), .B(Previous), .C(n640), 
         .Z(Counter1_15__N_1[10])) /* synthesis lut_function=(A (B (C))+!A (B+(C))) */ ;
    defparam mux_183_i11_3_lut_4_lut_3_lut.init = 16'hd4d4;
    LUT4 i466_2_lut_3_lut (.A(LED2_c_0), .B(Previous_adj_159), .C(n672), 
         .Z(Counter2_15__N_19[12])) /* synthesis lut_function=(A ((C)+!B)+!A (B+(C))) */ ;
    defparam i466_2_lut_3_lut.init = 16'hf6f6;
    LUT4 mux_183_i15_3_lut_4_lut_3_lut (.A(LED1_c_0), .B(Previous), .C(n636), 
         .Z(Counter1_15__N_1[14])) /* synthesis lut_function=(A (B (C))+!A (B+(C))) */ ;
    defparam mux_183_i15_3_lut_4_lut_3_lut.init = 16'hd4d4;
    LUT4 i512_2_lut_3_lut (.A(LED1_c_0), .B(Previous), .C(n641), .Z(Counter1_15__N_1[9])) /* synthesis lut_function=(A ((C)+!B)+!A (B+(C))) */ ;
    defparam i512_2_lut_3_lut.init = 16'hf6f6;
    Encoder Encoder2 (.State({State_adj_160}), .Clock(Clock), .Decrement2(Decrement2), 
            .n1492(n1492), .A(A), .B(B), .\State_1__N_67[1] (State_1__N_67_adj_169[1]), 
            .Increment2(Increment2), .Encoder2S_i_c(Encoder2S_i_c), .LED2_c_0(LED2_c_0), 
            .Encoder2A_i_c_2(Encoder2A_i_c_2), .Encoder2B_i_c_1(Encoder2B_i_c_1), 
            .Previous(Previous_adj_159), .n670(n670), .\Counter2_15__N_19[14] (Counter2_15__N_19[14]), 
            .n682(n682), .\Counter2_15__N_19[2] (Counter2_15__N_19[2]), 
            .n674(n674), .\Counter2_15__N_19[10] (Counter2_15__N_19[10]), 
            .n678(n678), .\Counter2_15__N_19[6] (Counter2_15__N_19[6]), 
            .n681(n681), .\Counter2_15__N_19[3] (Counter2_15__N_19[3])) /* synthesis syn_module_defined=1 */ ;   // c:/lattice/kurs14/impl1/source/top.v(56[10] 67[3])
    IB Encoder2S_i_pad (.I(Encoder2S_i), .O(Encoder2S_i_c));   // c:/lattice/kurs14/impl1/source/top.v(12[13:24])
    IB Encoder2B_i_pad (.I(Encoder2B_i), .O(Encoder2B_i_c_1));   // c:/lattice/kurs14/impl1/source/top.v(11[13:24])
    LUT4 mux_183_i4_3_lut_4_lut_3_lut (.A(LED1_c_0), .B(Previous), .C(n647), 
         .Z(Counter1_15__N_1[3])) /* synthesis lut_function=(A (B (C))+!A (B+(C))) */ ;
    defparam mux_183_i4_3_lut_4_lut_3_lut.init = 16'hd4d4;
    IB Encoder2A_i_pad (.I(Encoder2A_i), .O(Encoder2A_i_c_2));   // c:/lattice/kurs14/impl1/source/top.v(10[13:24])
    IB Encoder1S_i_pad (.I(Encoder1S_i), .O(Encoder1S_i_c));   // c:/lattice/kurs14/impl1/source/top.v(9[13:24])
    LUT4 i511_2_lut_3_lut (.A(LED1_c_0), .B(Previous), .C(n638), .Z(Counter1_15__N_1[12])) /* synthesis lut_function=(A ((C)+!B)+!A (B+(C))) */ ;
    defparam i511_2_lut_3_lut.init = 16'hf6f6;
    LUT4 mux_183_i7_3_lut_4_lut_3_lut (.A(LED1_c_0), .B(Previous), .C(n644), 
         .Z(Counter1_15__N_1[6])) /* synthesis lut_function=(A (B (C))+!A (B+(C))) */ ;
    defparam mux_183_i7_3_lut_4_lut_3_lut.init = 16'hd4d4;
    VLO i1 (.Z(GND_net));
    TSALL TSALL_INST (.TSALL(GND_net));
    PUR PUR_INST (.PUR(VCC_net));
    defparam PUR_INST.RST_PULSE = 1;
    
endmodule
//
// Verilog Description of module Encoder_U2
//

module Encoder_U2 (Clock, Decrement1, Increment1, Encoder1S_i_c, LED1_c_0, 
            Encoder1A_i_c_2, Encoder1B_i_c_1, Previous, n648, \Counter1_15__N_1[2] ) /* synthesis syn_module_defined=1 */ ;
    input Clock;
    output Decrement1;
    output Increment1;
    input Encoder1S_i_c;
    output LED1_c_0;
    input Encoder1A_i_c_2;
    input Encoder1B_i_c_1;
    output Previous;
    input n648;
    output \Counter1_15__N_1[2] ;
    
    wire Clock /* synthesis SET_AS_NETWORK=Clock, is_clock=1 */ ;   // c:/lattice/kurs14/impl1/source/top.v(22[7:12])
    wire [1:0]State;   // c:/lattice/kurs14/impl1/source/encoder.v(37[12:17])
    wire [1:0]State_1__N_67;
    
    wire Clock_enable_1, n1495, Clock_enable_2, n1490;
    wire [2:0]Sync_o;   // c:/lattice/kurs14/impl1/source/synchronizer.v(10[26:32])
    wire [2:0]Async_i;   // c:/lattice/kurs14/impl1/source/synchronizer.v(9[26:33])
    
    FD1S3AX State_i0 (.D(State_1__N_67[0]), .CK(Clock), .Q(State[0])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=10, LSE_RCOL=3, LSE_LLINE=37, LSE_RLINE=48 */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(45[12] 85[6])
    defparam State_i0.GSR = "ENABLED";
    FD1P3AX Decrement_o_40 (.D(n1495), .SP(Clock_enable_1), .CK(Clock), 
            .Q(Decrement1)) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=10, LSE_RCOL=3, LSE_LLINE=37, LSE_RLINE=48 */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(45[12] 85[6])
    defparam Decrement_o_40.GSR = "ENABLED";
    FD1P3AX Increment_o_39 (.D(n1490), .SP(Clock_enable_2), .CK(Clock), 
            .Q(Increment1)) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=10, LSE_RCOL=3, LSE_LLINE=37, LSE_RLINE=48 */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(45[12] 85[6])
    defparam Increment_o_39.GSR = "ENABLED";
    LUT4 i397_3_lut_3_lut_4_lut (.A(Sync_o[2]), .B(Sync_o[1]), .C(State[1]), 
         .D(State[0]), .Z(Clock_enable_1)) /* synthesis lut_function=(!(A ((D)+!C)+!A (B ((D)+!C)+!B (C (D)+!C !(D))))) */ ;
    defparam i397_3_lut_3_lut_4_lut.init = 16'h01f0;
    LUT4 i843_4_lut (.A(State[0]), .B(Sync_o[2]), .C(State[1]), .D(Sync_o[1]), 
         .Z(State_1__N_67[0])) /* synthesis lut_function=(!(A (B (D)+!B !(D))+!A (B (C+(D))+!B (C+!(D))))) */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(46[4] 84[11])
    defparam i843_4_lut.init = 16'h238c;
    LUT4 i482_2_lut_rep_17_3_lut (.A(Sync_o[2]), .B(Sync_o[1]), .C(State[0]), 
         .Z(n1490)) /* synthesis lut_function=(!(A+(B+!(C)))) */ ;
    defparam i482_2_lut_rep_17_3_lut.init = 16'h1010;
    LUT4 i825_3_lut_4_lut (.A(Sync_o[2]), .B(Sync_o[1]), .C(State[0]), 
         .D(State[1]), .Z(Clock_enable_2)) /* synthesis lut_function=(!(A (C+!(D))+!A (B (C+!(D))+!B !(D)))) */ ;
    defparam i825_3_lut_4_lut.init = 16'h1f00;
    FD1S3AX State_i1 (.D(State_1__N_67[1]), .CK(Clock), .Q(State[1])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=10, LSE_RCOL=3, LSE_LLINE=37, LSE_RLINE=48 */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(45[12] 85[6])
    defparam State_i1.GSR = "ENABLED";
    LUT4 i839_4_lut_4_lut (.A(State[1]), .B(State[0]), .C(Sync_o[2]), 
         .D(Sync_o[1]), .Z(State_1__N_67[1])) /* synthesis lut_function=(!(A (C (D))+!A (B (C+(D))+!B (C)))) */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(45[12] 85[6])
    defparam i839_4_lut_4_lut.init = 16'h0baf;
    LUT4 AsyncS_i_I_0_1_lut (.A(Encoder1S_i_c), .Z(Async_i[0])) /* synthesis lut_function=(!(A)) */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(28[33:42])
    defparam AsyncS_i_I_0_1_lut.init = 16'h5555;
    LUT4 i405_1_lut_rep_22 (.A(State[1]), .Z(n1495)) /* synthesis lut_function=(!(A)) */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(45[12] 85[6])
    defparam i405_1_lut_rep_22.init = 16'h5555;
    \Synchronizer(WIDTH=3)_U0  SynchronizerA (.LED1_c_0(LED1_c_0), .Clock(Clock), 
            .AsyncS_i_N_83(Async_i[0]), .Encoder1A_i_c_2(Encoder1A_i_c_2), 
            .Encoder1B_i_c_1(Encoder1B_i_c_1), .A(Sync_o[2]), .B(Sync_o[1])) /* synthesis syn_module_defined=1 */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(25[4] 30[3])
    EdgeDetector_U1 EdgeDetector_inst (.Previous(Previous), .Clock(Clock), 
            .LED1_c_0(LED1_c_0), .n648(n648), .\Counter1_15__N_1[2] (\Counter1_15__N_1[2] )) /* synthesis syn_module_defined=1 */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(89[15] 95[3])
    
endmodule
//
// Verilog Description of module \Synchronizer(WIDTH=3)_U0 
//

module \Synchronizer(WIDTH=3)_U0  (LED1_c_0, Clock, AsyncS_i_N_83, Encoder1A_i_c_2, 
            Encoder1B_i_c_1, A, B) /* synthesis syn_module_defined=1 */ ;
    output LED1_c_0;
    input Clock;
    input AsyncS_i_N_83;
    input Encoder1A_i_c_2;
    input Encoder1B_i_c_1;
    output A;
    output B;
    
    wire Clock /* synthesis SET_AS_NETWORK=Clock, is_clock=1 */ ;   // c:/lattice/kurs14/impl1/source/top.v(22[7:12])
    wire [2:0]R1;   // c:/lattice/kurs14/impl1/source/synchronizer.v(13[18:20])
    
    FD1S3AX R2_i1 (.D(R1[0]), .CK(Clock), .Q(LED1_c_0)) /* synthesis LSE_LINE_FILE_ID=4, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs14/impl1/source/synchronizer.v(20[12] 23[6])
    defparam R2_i1.GSR = "ENABLED";
    FD1S3AX R1_i0 (.D(AsyncS_i_N_83), .CK(Clock), .Q(R1[0])) /* synthesis LSE_LINE_FILE_ID=4, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs14/impl1/source/synchronizer.v(20[12] 23[6])
    defparam R1_i0.GSR = "ENABLED";
    FD1S3AX R1_i2 (.D(Encoder1A_i_c_2), .CK(Clock), .Q(R1[2])) /* synthesis LSE_LINE_FILE_ID=4, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs14/impl1/source/synchronizer.v(20[12] 23[6])
    defparam R1_i2.GSR = "ENABLED";
    FD1S3AX R1_i1 (.D(Encoder1B_i_c_1), .CK(Clock), .Q(R1[1])) /* synthesis LSE_LINE_FILE_ID=4, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs14/impl1/source/synchronizer.v(20[12] 23[6])
    defparam R1_i1.GSR = "ENABLED";
    FD1S3AX R2_i3 (.D(R1[2]), .CK(Clock), .Q(A)) /* synthesis LSE_LINE_FILE_ID=4, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs14/impl1/source/synchronizer.v(20[12] 23[6])
    defparam R2_i3.GSR = "ENABLED";
    FD1S3AX R2_i2 (.D(R1[1]), .CK(Clock), .Q(B)) /* synthesis LSE_LINE_FILE_ID=4, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs14/impl1/source/synchronizer.v(20[12] 23[6])
    defparam R2_i2.GSR = "ENABLED";
    
endmodule
//
// Verilog Description of module EdgeDetector_U1
//

module EdgeDetector_U1 (Previous, Clock, LED1_c_0, n648, \Counter1_15__N_1[2] ) /* synthesis syn_module_defined=1 */ ;
    output Previous;
    input Clock;
    input LED1_c_0;
    input n648;
    output \Counter1_15__N_1[2] ;
    
    wire Clock /* synthesis SET_AS_NETWORK=Clock, is_clock=1 */ ;   // c:/lattice/kurs14/impl1/source/top.v(22[7:12])
    
    FD1S3AX Previous_13 (.D(LED1_c_0), .CK(Clock), .Q(Previous)) /* synthesis LSE_LINE_FILE_ID=4, LSE_LCOL=15, LSE_RCOL=3, LSE_LLINE=89, LSE_RLINE=95 */ ;   // c:/lattice/kurs14/impl1/source/edge_detector.v(18[4:25])
    defparam Previous_13.GSR = "ENABLED";
    LUT4 i287_4_lut_3_lut (.A(Previous), .B(LED1_c_0), .C(n648), .Z(\Counter1_15__N_1[2] )) /* synthesis lut_function=(A (B (C))+!A (B+(C))) */ ;   // c:/lattice/kurs14/impl1/source/edge_detector.v(21[25:65])
    defparam i287_4_lut_3_lut.init = 16'hd4d4;
    
endmodule
//
// Verilog Description of module \DisplayMultiplex(CLOCK_HZ=14000000) 
//

module \DisplayMultiplex(CLOCK_HZ=14000000)  (Counter1, Counter2, Clock, 
            Cathodes_o_c_6, Cathodes_o_c_7, Cathodes_o_c_5, Cathodes_o_c_4, 
            Cathodes_o_c_2, Cathodes_o_c_3, Cathodes_o_c_0, Cathodes_o_c_1, 
            GND_net, Segments_o_c_4, Segments_o_c_2, Segments_o_c_1, 
            Segments_o_c_0, Segments_o_c_6, Segments_o_c_3, Segments_o_c_5) /* synthesis syn_module_defined=1 */ ;
    input [15:0]Counter1;
    input [15:0]Counter2;
    input Clock;
    output Cathodes_o_c_6;
    output Cathodes_o_c_7;
    output Cathodes_o_c_5;
    output Cathodes_o_c_4;
    output Cathodes_o_c_2;
    output Cathodes_o_c_3;
    output Cathodes_o_c_0;
    output Cathodes_o_c_1;
    input GND_net;
    output Segments_o_c_4;
    output Segments_o_c_2;
    output Segments_o_c_1;
    output Segments_o_c_0;
    output Segments_o_c_6;
    output Segments_o_c_3;
    output Segments_o_c_5;
    
    wire Clock /* synthesis SET_AS_NETWORK=Clock, is_clock=1 */ ;   // c:/lattice/kurs14/impl1/source/top.v(22[7:12])
    
    wire n1363, n1364;
    wire [31:0]TempData_3__N_107;
    
    wire n1366, n1361, n1368, n1369, n1372, n1357, n1356, n1355, 
        n1354, n1350, n1349, n1348;
    wire [2:0]n17;
    
    wire SwitchCathode_o, n1347, n1491, Visible_6__N_96, n1294, n1296, 
        n895, n1345, n1371, n1370, Visible_6__N_98;
    wire [7:0]Visible;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(19[20:27])
    
    wire n1373, n1434, Visible_6__N_100, n1487, n1488, Enable, n1365;
    wire [3:0]TempData;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(60[13:21])
    
    wire n1351, n1352, n1358, n1359, n10, n1362, n10_adj_158;
    
    PFUMX i790 (.BLUT(n1363), .ALUT(n1364), .C0(TempData_3__N_107[3]), 
          .Z(n1366));
    LUT4 i785_3_lut (.A(Counter1[2]), .B(Counter1[6]), .C(TempData_3__N_107[2]), 
         .Z(n1361)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i785_3_lut.init = 16'hcaca;
    PFUMX i796 (.BLUT(n1368), .ALUT(n1369), .C0(TempData_3__N_107[3]), 
          .Z(n1372));
    LUT4 i781_3_lut (.A(Counter2[9]), .B(Counter2[13]), .C(TempData_3__N_107[2]), 
         .Z(n1357)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i781_3_lut.init = 16'hcaca;
    LUT4 i780_3_lut (.A(Counter2[1]), .B(Counter2[5]), .C(TempData_3__N_107[2]), 
         .Z(n1356)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i780_3_lut.init = 16'hcaca;
    LUT4 i779_3_lut (.A(Counter1[9]), .B(Counter1[13]), .C(TempData_3__N_107[2]), 
         .Z(n1355)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i779_3_lut.init = 16'hcaca;
    LUT4 i778_3_lut (.A(Counter1[1]), .B(Counter1[5]), .C(TempData_3__N_107[2]), 
         .Z(n1354)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i778_3_lut.init = 16'hcaca;
    LUT4 i774_3_lut (.A(Counter2[8]), .B(Counter2[12]), .C(TempData_3__N_107[2]), 
         .Z(n1350)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i774_3_lut.init = 16'hcaca;
    LUT4 i773_3_lut (.A(Counter2[0]), .B(Counter2[4]), .C(TempData_3__N_107[2]), 
         .Z(n1349)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i773_3_lut.init = 16'hcaca;
    LUT4 i772_3_lut (.A(Counter1[8]), .B(Counter1[12]), .C(TempData_3__N_107[2]), 
         .Z(n1348)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i772_3_lut.init = 16'hcaca;
    LUT4 i603_3_lut (.A(TempData_3__N_107[4]), .B(TempData_3__N_107[3]), 
         .C(TempData_3__N_107[2]), .Z(n17[2])) /* synthesis lut_function=(!(A (B (C))+!A !(B (C)))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(52[17:32])
    defparam i603_3_lut.init = 16'h6a6a;
    FD1P3AX Selector_249__i3 (.D(n17[2]), .SP(SwitchCathode_o), .CK(Clock), 
            .Q(TempData_3__N_107[4]));   // c:/lattice/kurs14/impl1/source/display_multiplex.v(52[17:32])
    defparam Selector_249__i3.GSR = "ENABLED";
    FD1P3AX Selector_249__i2 (.D(n17[1]), .SP(SwitchCathode_o), .CK(Clock), 
            .Q(TempData_3__N_107[3]));   // c:/lattice/kurs14/impl1/source/display_multiplex.v(52[17:32])
    defparam Selector_249__i2.GSR = "ENABLED";
    LUT4 i771_3_lut (.A(Counter1[0]), .B(Counter1[4]), .C(TempData_3__N_107[2]), 
         .Z(n1347)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i771_3_lut.init = 16'hcaca;
    LUT4 i27_1_lut_rep_18 (.A(TempData_3__N_107[2]), .Z(n1491)) /* synthesis lut_function=(!(A)) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(57[22:40])
    defparam i27_1_lut_rep_18.init = 16'h5555;
    LUT4 i1_3_lut_3_lut (.A(TempData_3__N_107[2]), .B(Visible_6__N_96), 
         .C(n1294), .Z(n1296)) /* synthesis lut_function=(A (C)+!A (B+(C))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(57[22:40])
    defparam i1_3_lut_3_lut.init = 16'hf4f4;
    PFUMX i769 (.BLUT(n895), .ALUT(n1296), .C0(TempData_3__N_107[3]), 
          .Z(n1345));
    LUT4 i795_3_lut (.A(Counter2[11]), .B(Counter2[15]), .C(TempData_3__N_107[2]), 
         .Z(n1371)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i795_3_lut.init = 16'hcaca;
    LUT4 i794_3_lut (.A(Counter2[3]), .B(Counter2[7]), .C(TempData_3__N_107[2]), 
         .Z(n1370)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i794_3_lut.init = 16'hcaca;
    FD1P3AX Selector_249__i1 (.D(n1491), .SP(SwitchCathode_o), .CK(Clock), 
            .Q(TempData_3__N_107[2]));   // c:/lattice/kurs14/impl1/source/display_multiplex.v(52[17:32])
    defparam Selector_249__i1.GSR = "ENABLED";
    LUT4 i340_3_lut_3_lut (.A(TempData_3__N_107[2]), .B(Visible_6__N_98), 
         .C(Visible[5]), .Z(n895)) /* synthesis lut_function=(A (C)+!A (B+(C))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(57[22:40])
    defparam i340_3_lut_3_lut.init = 16'hf4f4;
    PFUMX i797 (.BLUT(n1370), .ALUT(n1371), .C0(TempData_3__N_107[3]), 
          .Z(n1373));
    LUT4 i787_3_lut (.A(Counter2[2]), .B(Counter2[6]), .C(TempData_3__N_107[2]), 
         .Z(n1363)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i787_3_lut.init = 16'hcaca;
    LUT4 n1435_bdd_4_lut_4_lut_4_lut_4_lut (.A(TempData_3__N_107[2]), .B(n1434), 
         .C(Visible_6__N_100), .D(TempData_3__N_107[3]), .Z(n1487)) /* synthesis lut_function=(!(A (B (D)+!B ((D)+!C))+!A !(C+!(D)))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(57[22:40])
    defparam n1435_bdd_4_lut_4_lut_4_lut_4_lut.init = 16'h50fd;
    LUT4 i1_2_lut_3_lut (.A(TempData_3__N_107[3]), .B(TempData_3__N_107[4]), 
         .C(TempData_3__N_107[2]), .Z(Cathodes_o_c_6)) /* synthesis lut_function=(!(((C)+!B)+!A)) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(57[22:40])
    defparam i1_2_lut_3_lut.init = 16'h0808;
    LUT4 n1438_bdd_3_lut_4_lut (.A(n1487), .B(n1488), .C(TempData_3__N_107[4]), 
         .D(n1345), .Z(Enable)) /* synthesis lut_function=(A ((D)+!C)+!A (B ((D)+!C)+!B (C (D)))) */ ;
    defparam n1438_bdd_3_lut_4_lut.init = 16'hfe0e;
    L6MUX21 i791 (.D0(n1365), .D1(n1366), .SD(TempData_3__N_107[4]), .Z(TempData[2]));
    LUT4 i1_2_lut_3_lut_adj_2 (.A(TempData_3__N_107[3]), .B(TempData_3__N_107[4]), 
         .C(TempData_3__N_107[2]), .Z(Cathodes_o_c_7)) /* synthesis lut_function=(A (B (C))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(57[22:40])
    defparam i1_2_lut_3_lut_adj_2.init = 16'h8080;
    L6MUX21 i798 (.D0(n1372), .D1(n1373), .SD(TempData_3__N_107[4]), .Z(TempData[3]));
    LUT4 i496_2_lut_3_lut (.A(TempData_3__N_107[3]), .B(TempData_3__N_107[4]), 
         .C(TempData_3__N_107[2]), .Z(Cathodes_o_c_5)) /* synthesis lut_function=(!(A+!(B (C)))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(57[22:40])
    defparam i496_2_lut_3_lut.init = 16'h4040;
    PFUMX i775 (.BLUT(n1347), .ALUT(n1348), .C0(TempData_3__N_107[3]), 
          .Z(n1351));
    PFUMX i776 (.BLUT(n1349), .ALUT(n1350), .C0(TempData_3__N_107[3]), 
          .Z(n1352));
    LUT4 i836_2_lut_3_lut (.A(TempData_3__N_107[3]), .B(TempData_3__N_107[4]), 
         .C(TempData_3__N_107[2]), .Z(Cathodes_o_c_4)) /* synthesis lut_function=(!(A+((C)+!B))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(57[22:40])
    defparam i836_2_lut_3_lut.init = 16'h0404;
    PFUMX i782 (.BLUT(n1354), .ALUT(n1355), .C0(TempData_3__N_107[3]), 
          .Z(n1358));
    PFUMX i783 (.BLUT(n1356), .ALUT(n1357), .C0(TempData_3__N_107[3]), 
          .Z(n1359));
    LUT4 i5_3_lut_rep_15 (.A(Counter1[14]), .B(n10), .C(Counter1[12]), 
         .Z(n1488)) /* synthesis lut_function=(A+(B+(C))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(26[34:68])
    defparam i5_3_lut_rep_15.init = 16'hfefe;
    LUT4 i1_2_lut_2_lut_3_lut (.A(TempData_3__N_107[3]), .B(TempData_3__N_107[4]), 
         .C(TempData_3__N_107[2]), .Z(Cathodes_o_c_2)) /* synthesis lut_function=(!((B+(C))+!A)) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(57[22:40])
    defparam i1_2_lut_2_lut_3_lut.init = 16'h0202;
    LUT4 i1_2_lut_3_lut_adj_3 (.A(TempData_3__N_107[3]), .B(TempData_3__N_107[4]), 
         .C(TempData_3__N_107[2]), .Z(Cathodes_o_c_3)) /* synthesis lut_function=(!((B+!(C))+!A)) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(57[22:40])
    defparam i1_2_lut_3_lut_adj_3.init = 16'h2020;
    LUT4 i830_2_lut_3_lut (.A(TempData_3__N_107[3]), .B(TempData_3__N_107[4]), 
         .C(TempData_3__N_107[2]), .Z(Cathodes_o_c_0)) /* synthesis lut_function=(!(A+(B+(C)))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(57[22:40])
    defparam i830_2_lut_3_lut.init = 16'h0101;
    PFUMX i789 (.BLUT(n1361), .ALUT(n1362), .C0(TempData_3__N_107[3]), 
          .Z(n1365));
    L6MUX21 i777 (.D0(n1351), .D1(n1352), .SD(TempData_3__N_107[4]), .Z(TempData[0]));
    LUT4 i526_2_lut_3_lut (.A(TempData_3__N_107[3]), .B(TempData_3__N_107[4]), 
         .C(TempData_3__N_107[2]), .Z(Cathodes_o_c_1)) /* synthesis lut_function=(!(A+(B+!(C)))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(57[22:40])
    defparam i526_2_lut_3_lut.init = 16'h1010;
    L6MUX21 i784 (.D0(n1358), .D1(n1359), .SD(TempData_3__N_107[4]), .Z(TempData[1]));
    LUT4 i4_4_lut (.A(Visible_6__N_98), .B(Counter1[15]), .C(Visible[5]), 
         .D(Counter1[13]), .Z(n10)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(26[34:68])
    defparam i4_4_lut.init = 16'hfffe;
    LUT4 i786_3_lut (.A(Counter1[10]), .B(Counter1[14]), .C(TempData_3__N_107[2]), 
         .Z(n1362)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i786_3_lut.init = 16'hcaca;
    LUT4 Visible_6__N_100_bdd_4_lut_879 (.A(Counter1[6]), .B(Counter1[7]), 
         .C(Counter1[4]), .D(Counter1[5]), .Z(n1434)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;
    defparam Visible_6__N_100_bdd_4_lut_879.init = 16'hfffe;
    LUT4 i3_4_lut (.A(Counter2[0]), .B(Counter2[3]), .C(Counter2[2]), 
         .D(Counter2[1]), .Z(Visible_6__N_98)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(26[34:52])
    defparam i3_4_lut.init = 16'hfffe;
    LUT4 i5_3_lut (.A(Counter2[5]), .B(n10_adj_158), .C(Counter2[4]), 
         .Z(Visible[5])) /* synthesis lut_function=(A+(B+(C))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(25[35:53])
    defparam i5_3_lut.init = 16'hfefe;
    LUT4 i596_2_lut (.A(TempData_3__N_107[3]), .B(TempData_3__N_107[2]), 
         .Z(n17[1])) /* synthesis lut_function=(!(A (B)+!A !(B))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(52[17:32])
    defparam i596_2_lut.init = 16'h6666;
    LUT4 i4_4_lut_adj_4 (.A(Counter2[6]), .B(n1294), .C(Visible_6__N_96), 
         .D(Counter2[7]), .Z(n10_adj_158)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(25[35:53])
    defparam i4_4_lut_adj_4.init = 16'hfffe;
    LUT4 i3_4_lut_adj_5 (.A(Counter2[12]), .B(Counter2[15]), .C(Counter2[14]), 
         .D(Counter2[13]), .Z(n1294)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(25[35:53])
    defparam i3_4_lut_adj_5.init = 16'hfffe;
    LUT4 i793_3_lut (.A(Counter1[11]), .B(Counter1[15]), .C(TempData_3__N_107[2]), 
         .Z(n1369)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i793_3_lut.init = 16'hcaca;
    LUT4 i792_3_lut (.A(Counter1[3]), .B(Counter1[7]), .C(TempData_3__N_107[2]), 
         .Z(n1368)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i792_3_lut.init = 16'hcaca;
    LUT4 i3_4_lut_adj_6 (.A(Counter2[8]), .B(Counter2[11]), .C(Counter2[10]), 
         .D(Counter2[9]), .Z(Visible_6__N_96)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(26[34:52])
    defparam i3_4_lut_adj_6.init = 16'hfffe;
    LUT4 i3_4_lut_adj_7 (.A(Counter1[8]), .B(Counter1[9]), .C(Counter1[10]), 
         .D(Counter1[11]), .Z(Visible_6__N_100)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(26[34:52])
    defparam i3_4_lut_adj_7.init = 16'hfffe;
    LUT4 i788_3_lut (.A(Counter2[10]), .B(Counter2[14]), .C(TempData_3__N_107[2]), 
         .Z(n1364)) /* synthesis lut_function=(A (B+!(C))+!A (B (C))) */ ;
    defparam i788_3_lut.init = 16'hcaca;
    \StrobeGenerator(CLOCK_HZ=14000000,PERIOD_US=1000)  StrobeGenerator0 (.Clock(Clock), 
            .SwitchCathode_o(SwitchCathode_o), .GND_net(GND_net)) /* synthesis syn_module_defined=1 */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(35[4] 40[3])
    Decoder7seg Decoder7seg0 (.Enable(Enable), .Segments_o_c_4(Segments_o_c_4), 
            .TempData({TempData}), .Segments_o_c_2(Segments_o_c_2), .Segments_o_c_1(Segments_o_c_1), 
            .Segments_o_c_0(Segments_o_c_0), .Segments_o_c_6(Segments_o_c_6), 
            .Segments_o_c_3(Segments_o_c_3), .Segments_o_c_5(Segments_o_c_5)) /* synthesis syn_module_defined=1 */ ;   // c:/lattice/kurs14/impl1/source/display_multiplex.v(71[4] 75[3])
    
endmodule
//
// Verilog Description of module \StrobeGenerator(CLOCK_HZ=14000000,PERIOD_US=1000) 
//

module \StrobeGenerator(CLOCK_HZ=14000000,PERIOD_US=1000)  (Clock, SwitchCathode_o, 
            GND_net) /* synthesis syn_module_defined=1 */ ;
    input Clock;
    output SwitchCathode_o;
    input GND_net;
    
    wire Clock /* synthesis SET_AS_NETWORK=Clock, is_clock=1 */ ;   // c:/lattice/kurs14/impl1/source/top.v(22[7:12])
    wire [13:0]Counter;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(21[18:25])
    
    wire Strobe_o_N_147;
    wire [13:0]n5;
    
    wire n1160, n1161, n21, n26, n15_adj_155, n16_adj_156, n1165, 
        n1159, n1162, n1163, n1164, n24, n18_adj_157;
    
    FD1S3JX Counter_i0 (.D(n5[0]), .CK(Clock), .PD(Strobe_o_N_147), .Q(Counter[0])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=35, LSE_RLINE=40 */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(27[12] 37[6])
    defparam Counter_i0.GSR = "ENABLED";
    FD1S3AX Strobe_o_15 (.D(Strobe_o_N_147), .CK(Clock), .Q(SwitchCathode_o)) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=35, LSE_RLINE=40 */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(27[12] 37[6])
    defparam Strobe_o_15.GSR = "ENABLED";
    FD1S3JX Counter_i13 (.D(n5[13]), .CK(Clock), .PD(Strobe_o_N_147), 
            .Q(Counter[13])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=35, LSE_RLINE=40 */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(27[12] 37[6])
    defparam Counter_i13.GSR = "ENABLED";
    FD1S3JX Counter_i12 (.D(n5[12]), .CK(Clock), .PD(Strobe_o_N_147), 
            .Q(Counter[12])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=35, LSE_RLINE=40 */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(27[12] 37[6])
    defparam Counter_i12.GSR = "ENABLED";
    FD1S3IX Counter_i11 (.D(n5[11]), .CK(Clock), .CD(Strobe_o_N_147), 
            .Q(Counter[11])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=35, LSE_RLINE=40 */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(27[12] 37[6])
    defparam Counter_i11.GSR = "ENABLED";
    FD1S3JX Counter_i10 (.D(n5[10]), .CK(Clock), .PD(Strobe_o_N_147), 
            .Q(Counter[10])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=35, LSE_RLINE=40 */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(27[12] 37[6])
    defparam Counter_i10.GSR = "ENABLED";
    FD1S3JX Counter_i9 (.D(n5[9]), .CK(Clock), .PD(Strobe_o_N_147), .Q(Counter[9])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=35, LSE_RLINE=40 */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(27[12] 37[6])
    defparam Counter_i9.GSR = "ENABLED";
    FD1S3IX Counter_i8 (.D(n5[8]), .CK(Clock), .CD(Strobe_o_N_147), .Q(Counter[8])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=35, LSE_RLINE=40 */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(27[12] 37[6])
    defparam Counter_i8.GSR = "ENABLED";
    FD1S3JX Counter_i7 (.D(n5[7]), .CK(Clock), .PD(Strobe_o_N_147), .Q(Counter[7])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=35, LSE_RLINE=40 */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(27[12] 37[6])
    defparam Counter_i7.GSR = "ENABLED";
    FD1S3IX Counter_i6 (.D(n5[6]), .CK(Clock), .CD(Strobe_o_N_147), .Q(Counter[6])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=35, LSE_RLINE=40 */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(27[12] 37[6])
    defparam Counter_i6.GSR = "ENABLED";
    FD1S3JX Counter_i5 (.D(n5[5]), .CK(Clock), .PD(Strobe_o_N_147), .Q(Counter[5])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=35, LSE_RLINE=40 */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(27[12] 37[6])
    defparam Counter_i5.GSR = "ENABLED";
    FD1S3IX Counter_i4 (.D(n5[4]), .CK(Clock), .CD(Strobe_o_N_147), .Q(Counter[4])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=35, LSE_RLINE=40 */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(27[12] 37[6])
    defparam Counter_i4.GSR = "ENABLED";
    FD1S3JX Counter_i3 (.D(n5[3]), .CK(Clock), .PD(Strobe_o_N_147), .Q(Counter[3])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=35, LSE_RLINE=40 */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(27[12] 37[6])
    defparam Counter_i3.GSR = "ENABLED";
    FD1S3JX Counter_i2 (.D(n5[2]), .CK(Clock), .PD(Strobe_o_N_147), .Q(Counter[2])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=35, LSE_RLINE=40 */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(27[12] 37[6])
    defparam Counter_i2.GSR = "ENABLED";
    FD1S3JX Counter_i1 (.D(n5[1]), .CK(Clock), .PD(Strobe_o_N_147), .Q(Counter[1])) /* synthesis LSE_LINE_FILE_ID=6, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=35, LSE_RLINE=40 */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(27[12] 37[6])
    defparam Counter_i1.GSR = "ENABLED";
    CCU2D sub_6_add_2_5 (.A0(Counter[3]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[4]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n1160), .COUT(n1161), .S0(n5[3]), .S1(n5[4]));   // c:/lattice/kurs14/impl1/source/strobe_generator.v(32[17:31])
    defparam sub_6_add_2_5.INIT0 = 16'h5555;
    defparam sub_6_add_2_5.INIT1 = 16'h5555;
    defparam sub_6_add_2_5.INJECT1_0 = "NO";
    defparam sub_6_add_2_5.INJECT1_1 = "NO";
    LUT4 i833_4_lut (.A(n21), .B(n26), .C(n15_adj_155), .D(n16_adj_156), 
         .Z(Strobe_o_N_147)) /* synthesis lut_function=(!(A+(B+(C+(D))))) */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(28[7:15])
    defparam i833_4_lut.init = 16'h0001;
    CCU2D sub_6_add_2_15 (.A0(Counter[13]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(GND_net), .B1(GND_net), .C1(GND_net), .D1(GND_net), 
          .CIN(n1165), .S0(n5[13]));   // c:/lattice/kurs14/impl1/source/strobe_generator.v(32[17:31])
    defparam sub_6_add_2_15.INIT0 = 16'h5555;
    defparam sub_6_add_2_15.INIT1 = 16'h0000;
    defparam sub_6_add_2_15.INJECT1_0 = "NO";
    defparam sub_6_add_2_15.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_1 (.A0(GND_net), .B0(GND_net), .C0(GND_net), .D0(GND_net), 
          .A1(Counter[0]), .B1(GND_net), .C1(GND_net), .D1(GND_net), 
          .COUT(n1159), .S1(n5[0]));   // c:/lattice/kurs14/impl1/source/strobe_generator.v(32[17:31])
    defparam sub_6_add_2_1.INIT0 = 16'hF000;
    defparam sub_6_add_2_1.INIT1 = 16'h5555;
    defparam sub_6_add_2_1.INJECT1_0 = "NO";
    defparam sub_6_add_2_1.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_9 (.A0(Counter[7]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[8]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n1162), .COUT(n1163), .S0(n5[7]), .S1(n5[8]));   // c:/lattice/kurs14/impl1/source/strobe_generator.v(32[17:31])
    defparam sub_6_add_2_9.INIT0 = 16'h5555;
    defparam sub_6_add_2_9.INIT1 = 16'h5555;
    defparam sub_6_add_2_9.INJECT1_0 = "NO";
    defparam sub_6_add_2_9.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_11 (.A0(Counter[9]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[10]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n1163), .COUT(n1164), .S0(n5[9]), .S1(n5[10]));   // c:/lattice/kurs14/impl1/source/strobe_generator.v(32[17:31])
    defparam sub_6_add_2_11.INIT0 = 16'h5555;
    defparam sub_6_add_2_11.INIT1 = 16'h5555;
    defparam sub_6_add_2_11.INJECT1_0 = "NO";
    defparam sub_6_add_2_11.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_3 (.A0(Counter[1]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[2]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n1159), .COUT(n1160), .S0(n5[1]), .S1(n5[2]));   // c:/lattice/kurs14/impl1/source/strobe_generator.v(32[17:31])
    defparam sub_6_add_2_3.INIT0 = 16'h5555;
    defparam sub_6_add_2_3.INIT1 = 16'h5555;
    defparam sub_6_add_2_3.INJECT1_0 = "NO";
    defparam sub_6_add_2_3.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_13 (.A0(Counter[11]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[12]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n1164), .COUT(n1165), .S0(n5[11]), .S1(n5[12]));   // c:/lattice/kurs14/impl1/source/strobe_generator.v(32[17:31])
    defparam sub_6_add_2_13.INIT0 = 16'h5555;
    defparam sub_6_add_2_13.INIT1 = 16'h5555;
    defparam sub_6_add_2_13.INJECT1_0 = "NO";
    defparam sub_6_add_2_13.INJECT1_1 = "NO";
    CCU2D sub_6_add_2_7 (.A0(Counter[5]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(Counter[6]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n1161), .COUT(n1162), .S0(n5[5]), .S1(n5[6]));   // c:/lattice/kurs14/impl1/source/strobe_generator.v(32[17:31])
    defparam sub_6_add_2_7.INIT0 = 16'h5555;
    defparam sub_6_add_2_7.INIT1 = 16'h5555;
    defparam sub_6_add_2_7.INJECT1_0 = "NO";
    defparam sub_6_add_2_7.INJECT1_1 = "NO";
    LUT4 i7_2_lut (.A(Counter[13]), .B(Counter[10]), .Z(n21)) /* synthesis lut_function=(A+(B)) */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(28[7:15])
    defparam i7_2_lut.init = 16'heeee;
    LUT4 i12_4_lut (.A(Counter[12]), .B(n24), .C(n18_adj_157), .D(Counter[8]), 
         .Z(n26)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(28[7:15])
    defparam i12_4_lut.init = 16'hfffe;
    LUT4 i1_2_lut (.A(Counter[1]), .B(Counter[2]), .Z(n15_adj_155)) /* synthesis lut_function=(A+(B)) */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(28[7:15])
    defparam i1_2_lut.init = 16'heeee;
    LUT4 i4_2_lut (.A(Counter[0]), .B(Counter[9]), .Z(n18_adj_157)) /* synthesis lut_function=(A+(B)) */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(28[7:15])
    defparam i4_2_lut.init = 16'heeee;
    LUT4 i2_2_lut (.A(Counter[7]), .B(Counter[6]), .Z(n16_adj_156)) /* synthesis lut_function=(A+(B)) */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(28[7:15])
    defparam i2_2_lut.init = 16'heeee;
    LUT4 i10_4_lut (.A(Counter[4]), .B(Counter[3]), .C(Counter[11]), .D(Counter[5]), 
         .Z(n24)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs14/impl1/source/strobe_generator.v(28[7:15])
    defparam i10_4_lut.init = 16'hfffe;
    
endmodule
//
// Verilog Description of module Decoder7seg
//

module Decoder7seg (Enable, Segments_o_c_4, TempData, Segments_o_c_2, 
            Segments_o_c_1, Segments_o_c_0, Segments_o_c_6, Segments_o_c_3, 
            Segments_o_c_5) /* synthesis syn_module_defined=1 */ ;
    input Enable;
    output Segments_o_c_4;
    input [3:0]TempData;
    output Segments_o_c_2;
    output Segments_o_c_1;
    output Segments_o_c_0;
    output Segments_o_c_6;
    output Segments_o_c_3;
    output Segments_o_c_5;
    
    
    wire n1427, n1443, n1446, n1449, n1429, n1440, n1431;
    
    LUT4 n309_bdd_2_lut_845 (.A(n1427), .B(Enable), .Z(Segments_o_c_4)) /* synthesis lut_function=(A (B)) */ ;
    defparam n309_bdd_2_lut_845.init = 16'h8888;
    LUT4 TempData_2__bdd_4_lut_854 (.A(TempData[2]), .B(TempData[1]), .C(TempData[3]), 
         .D(TempData[0]), .Z(n1443)) /* synthesis lut_function=(!(A (B (C)+!B !((D)+!C))+!A !((C+(D))+!B))) */ ;
    defparam TempData_2__bdd_4_lut_854.init = 16'h7f5b;
    LUT4 TempData_0__bdd_4_lut_846 (.A(TempData[0]), .B(TempData[1]), .C(TempData[3]), 
         .D(TempData[2]), .Z(n1427)) /* synthesis lut_function=(A (B (C)+!B (C (D)))+!A (B+(C+!(D)))) */ ;
    defparam TempData_0__bdd_4_lut_846.init = 16'hf4d5;
    LUT4 n309_bdd_2_lut_855 (.A(n1443), .B(Enable), .Z(Segments_o_c_2)) /* synthesis lut_function=(A (B)) */ ;
    defparam n309_bdd_2_lut_855.init = 16'h8888;
    LUT4 TempData_2__bdd_4_lut (.A(TempData[2]), .B(TempData[0]), .C(TempData[3]), 
         .D(TempData[1]), .Z(n1446)) /* synthesis lut_function=(!(A (B (C (D)+!C !(D))+!B (C+(D)))+!A (B (C (D))))) */ ;
    defparam TempData_2__bdd_4_lut.init = 16'h1dd7;
    LUT4 n309_bdd_2_lut_857 (.A(n1446), .B(Enable), .Z(Segments_o_c_1)) /* synthesis lut_function=(A (B)) */ ;
    defparam n309_bdd_2_lut_857.init = 16'h8888;
    LUT4 TempData_1__bdd_4_lut (.A(TempData[1]), .B(TempData[0]), .C(TempData[3]), 
         .D(TempData[2]), .Z(n1449)) /* synthesis lut_function=(A (((D)+!C)+!B)+!A !(B (C (D)+!C !(D))+!B !(C+!(D)))) */ ;
    defparam TempData_1__bdd_4_lut.init = 16'hbe7b;
    LUT4 n309_bdd_2_lut (.A(n1449), .B(Enable), .Z(Segments_o_c_0)) /* synthesis lut_function=(A (B)) */ ;
    defparam n309_bdd_2_lut.init = 16'h8888;
    LUT4 n309_bdd_2_lut_847 (.A(n1429), .B(Enable), .Z(Segments_o_c_6)) /* synthesis lut_function=(A (B)) */ ;
    defparam n309_bdd_2_lut_847.init = 16'h8888;
    LUT4 Enable_bdd_4_lut (.A(TempData[1]), .B(TempData[0]), .C(TempData[3]), 
         .D(TempData[2]), .Z(n1429)) /* synthesis lut_function=(A ((C+!(D))+!B)+!A (B (C+(D))+!B !(C (D)+!C !(D)))) */ ;
    defparam Enable_bdd_4_lut.init = 16'he7fa;
    LUT4 TempData_0__bdd_4_lut_853 (.A(TempData[0]), .B(TempData[3]), .C(TempData[1]), 
         .D(TempData[2]), .Z(n1440)) /* synthesis lut_function=(!(A (B (C (D))+!B (C (D)+!C !(D)))+!A !(B ((D)+!C)+!B (C+!(D))))) */ ;
    defparam TempData_0__bdd_4_lut_853.init = 16'h5ebd;
    LUT4 n309_bdd_2_lut_852 (.A(n1440), .B(Enable), .Z(Segments_o_c_3)) /* synthesis lut_function=(A (B)) */ ;
    defparam n309_bdd_2_lut_852.init = 16'h8888;
    LUT4 TempData_0__bdd_4_lut_850 (.A(TempData[0]), .B(TempData[1]), .C(TempData[2]), 
         .D(TempData[3]), .Z(n1431)) /* synthesis lut_function=(A (B (D)+!B !(C (D)+!C !(D)))+!A ((C+(D))+!B)) */ ;
    defparam TempData_0__bdd_4_lut_850.init = 16'hdf71;
    LUT4 n309_bdd_2_lut_851 (.A(n1431), .B(Enable), .Z(Segments_o_c_5)) /* synthesis lut_function=(A (B)) */ ;
    defparam n309_bdd_2_lut_851.init = 16'h8888;
    
endmodule
//
// Verilog Description of module Encoder
//

module Encoder (State, Clock, Decrement2, n1492, A, B, \State_1__N_67[1] , 
            Increment2, Encoder2S_i_c, LED2_c_0, Encoder2A_i_c_2, Encoder2B_i_c_1, 
            Previous, n670, \Counter2_15__N_19[14] , n682, \Counter2_15__N_19[2] , 
            n674, \Counter2_15__N_19[10] , n678, \Counter2_15__N_19[6] , 
            n681, \Counter2_15__N_19[3] ) /* synthesis syn_module_defined=1 */ ;
    output [1:0]State;
    input Clock;
    output Decrement2;
    input n1492;
    output A;
    output B;
    input \State_1__N_67[1] ;
    output Increment2;
    input Encoder2S_i_c;
    output LED2_c_0;
    input Encoder2A_i_c_2;
    input Encoder2B_i_c_1;
    output Previous;
    input n670;
    output \Counter2_15__N_19[14] ;
    input n682;
    output \Counter2_15__N_19[2] ;
    input n674;
    output \Counter2_15__N_19[10] ;
    input n678;
    output \Counter2_15__N_19[6] ;
    input n681;
    output \Counter2_15__N_19[3] ;
    
    wire Clock /* synthesis SET_AS_NETWORK=Clock, is_clock=1 */ ;   // c:/lattice/kurs14/impl1/source/top.v(22[7:12])
    wire [1:0]State_1__N_67;
    
    wire Clock_enable_3, Clock_enable_4, n1489;
    wire [2:0]Async_i;   // c:/lattice/kurs14/impl1/source/synchronizer.v(9[26:33])
    
    FD1S3AX State_i0 (.D(State_1__N_67[0]), .CK(Clock), .Q(State[0])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=10, LSE_RCOL=3, LSE_LLINE=56, LSE_RLINE=67 */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(45[12] 85[6])
    defparam State_i0.GSR = "ENABLED";
    FD1P3AX Decrement_o_40 (.D(n1492), .SP(Clock_enable_3), .CK(Clock), 
            .Q(Decrement2)) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=10, LSE_RCOL=3, LSE_LLINE=56, LSE_RLINE=67 */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(45[12] 85[6])
    defparam Decrement_o_40.GSR = "ENABLED";
    LUT4 i827_3_lut_4_lut (.A(A), .B(B), .C(State[0]), .D(State[1]), 
         .Z(Clock_enable_4)) /* synthesis lut_function=(!(A (C+!(D))+!A (B (C+!(D))+!B !(D)))) */ ;
    defparam i827_3_lut_4_lut.init = 16'h1f00;
    FD1S3AX State_i1 (.D(\State_1__N_67[1] ), .CK(Clock), .Q(State[1])) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=10, LSE_RCOL=3, LSE_LLINE=56, LSE_RLINE=67 */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(45[12] 85[6])
    defparam State_i1.GSR = "ENABLED";
    LUT4 i844_4_lut (.A(State[0]), .B(A), .C(State[1]), .D(B), .Z(State_1__N_67[0])) /* synthesis lut_function=(!(A (B (D)+!B !(D))+!A (B (C+(D))+!B (C+!(D))))) */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(46[4] 84[11])
    defparam i844_4_lut.init = 16'h238c;
    LUT4 i396_3_lut_3_lut_4_lut (.A(A), .B(B), .C(State[1]), .D(State[0]), 
         .Z(Clock_enable_3)) /* synthesis lut_function=(!(A ((D)+!C)+!A (B ((D)+!C)+!B (C (D)+!C !(D))))) */ ;
    defparam i396_3_lut_3_lut_4_lut.init = 16'h01f0;
    FD1P3AX Increment_o_39 (.D(n1489), .SP(Clock_enable_4), .CK(Clock), 
            .Q(Increment2)) /* synthesis LSE_LINE_FILE_ID=3, LSE_LCOL=10, LSE_RCOL=3, LSE_LLINE=56, LSE_RLINE=67 */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(45[12] 85[6])
    defparam Increment_o_39.GSR = "ENABLED";
    LUT4 i346_2_lut_rep_16_3_lut (.A(A), .B(B), .C(State[0]), .Z(n1489)) /* synthesis lut_function=(!(A+(B+!(C)))) */ ;
    defparam i346_2_lut_rep_16_3_lut.init = 16'h1010;
    LUT4 AsyncS_i_I_0_1_lut (.A(Encoder2S_i_c), .Z(Async_i[0])) /* synthesis lut_function=(!(A)) */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(28[33:42])
    defparam AsyncS_i_I_0_1_lut.init = 16'h5555;
    \Synchronizer(WIDTH=3)  SynchronizerA (.LED2_c_0(LED2_c_0), .Clock(Clock), 
            .AsyncS_i_N_83(Async_i[0]), .Encoder2A_i_c_2(Encoder2A_i_c_2), 
            .Encoder2B_i_c_1(Encoder2B_i_c_1), .A(A), .B(B)) /* synthesis syn_module_defined=1 */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(25[4] 30[3])
    EdgeDetector EdgeDetector_inst (.Previous(Previous), .Clock(Clock), 
            .LED2_c_0(LED2_c_0), .n670(n670), .\Counter2_15__N_19[14] (\Counter2_15__N_19[14] ), 
            .n682(n682), .\Counter2_15__N_19[2] (\Counter2_15__N_19[2] ), 
            .n674(n674), .\Counter2_15__N_19[10] (\Counter2_15__N_19[10] ), 
            .n678(n678), .\Counter2_15__N_19[6] (\Counter2_15__N_19[6] ), 
            .n681(n681), .\Counter2_15__N_19[3] (\Counter2_15__N_19[3] )) /* synthesis syn_module_defined=1 */ ;   // c:/lattice/kurs14/impl1/source/encoder.v(89[15] 95[3])
    
endmodule
//
// Verilog Description of module \Synchronizer(WIDTH=3) 
//

module \Synchronizer(WIDTH=3)  (LED2_c_0, Clock, AsyncS_i_N_83, Encoder2A_i_c_2, 
            Encoder2B_i_c_1, A, B) /* synthesis syn_module_defined=1 */ ;
    output LED2_c_0;
    input Clock;
    input AsyncS_i_N_83;
    input Encoder2A_i_c_2;
    input Encoder2B_i_c_1;
    output A;
    output B;
    
    wire Clock /* synthesis SET_AS_NETWORK=Clock, is_clock=1 */ ;   // c:/lattice/kurs14/impl1/source/top.v(22[7:12])
    wire [2:0]R1;   // c:/lattice/kurs14/impl1/source/synchronizer.v(13[18:20])
    
    FD1S3AX R2_i1 (.D(R1[0]), .CK(Clock), .Q(LED2_c_0)) /* synthesis LSE_LINE_FILE_ID=4, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs14/impl1/source/synchronizer.v(20[12] 23[6])
    defparam R2_i1.GSR = "ENABLED";
    FD1S3AX R1_i0 (.D(AsyncS_i_N_83), .CK(Clock), .Q(R1[0])) /* synthesis LSE_LINE_FILE_ID=4, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs14/impl1/source/synchronizer.v(20[12] 23[6])
    defparam R1_i0.GSR = "ENABLED";
    FD1S3AX R1_i2 (.D(Encoder2A_i_c_2), .CK(Clock), .Q(R1[2])) /* synthesis LSE_LINE_FILE_ID=4, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs14/impl1/source/synchronizer.v(20[12] 23[6])
    defparam R1_i2.GSR = "ENABLED";
    FD1S3AX R1_i1 (.D(Encoder2B_i_c_1), .CK(Clock), .Q(R1[1])) /* synthesis LSE_LINE_FILE_ID=4, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs14/impl1/source/synchronizer.v(20[12] 23[6])
    defparam R1_i1.GSR = "ENABLED";
    FD1S3AX R2_i3 (.D(R1[2]), .CK(Clock), .Q(A)) /* synthesis LSE_LINE_FILE_ID=4, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs14/impl1/source/synchronizer.v(20[12] 23[6])
    defparam R2_i3.GSR = "ENABLED";
    FD1S3AX R2_i2 (.D(R1[1]), .CK(Clock), .Q(B)) /* synthesis LSE_LINE_FILE_ID=4, LSE_LCOL=4, LSE_RCOL=3, LSE_LLINE=25, LSE_RLINE=30 */ ;   // c:/lattice/kurs14/impl1/source/synchronizer.v(20[12] 23[6])
    defparam R2_i2.GSR = "ENABLED";
    
endmodule
//
// Verilog Description of module EdgeDetector
//

module EdgeDetector (Previous, Clock, LED2_c_0, n670, \Counter2_15__N_19[14] , 
            n682, \Counter2_15__N_19[2] , n674, \Counter2_15__N_19[10] , 
            n678, \Counter2_15__N_19[6] , n681, \Counter2_15__N_19[3] ) /* synthesis syn_module_defined=1 */ ;
    output Previous;
    input Clock;
    input LED2_c_0;
    input n670;
    output \Counter2_15__N_19[14] ;
    input n682;
    output \Counter2_15__N_19[2] ;
    input n674;
    output \Counter2_15__N_19[10] ;
    input n678;
    output \Counter2_15__N_19[6] ;
    input n681;
    output \Counter2_15__N_19[3] ;
    
    wire Clock /* synthesis SET_AS_NETWORK=Clock, is_clock=1 */ ;   // c:/lattice/kurs14/impl1/source/top.v(22[7:12])
    
    FD1S3AX Previous_13 (.D(LED2_c_0), .CK(Clock), .Q(Previous)) /* synthesis LSE_LINE_FILE_ID=4, LSE_LCOL=15, LSE_RCOL=3, LSE_LLINE=89, LSE_RLINE=95 */ ;   // c:/lattice/kurs14/impl1/source/edge_detector.v(18[4:25])
    defparam Previous_13.GSR = "ENABLED";
    LUT4 mux_189_i15_3_lut_4_lut_3_lut (.A(Previous), .B(LED2_c_0), .C(n670), 
         .Z(\Counter2_15__N_19[14] )) /* synthesis lut_function=(A ((C)+!B)+!A !(B+!(C))) */ ;   // c:/lattice/kurs14/impl1/source/edge_detector.v(21[25:65])
    defparam mux_189_i15_3_lut_4_lut_3_lut.init = 16'hb2b2;
    LUT4 i297_4_lut_3_lut (.A(Previous), .B(LED2_c_0), .C(n682), .Z(\Counter2_15__N_19[2] )) /* synthesis lut_function=(A (B (C))+!A (B+(C))) */ ;   // c:/lattice/kurs14/impl1/source/edge_detector.v(21[25:65])
    defparam i297_4_lut_3_lut.init = 16'hd4d4;
    LUT4 mux_189_i11_3_lut_4_lut_3_lut (.A(Previous), .B(LED2_c_0), .C(n674), 
         .Z(\Counter2_15__N_19[10] )) /* synthesis lut_function=(A ((C)+!B)+!A !(B+!(C))) */ ;   // c:/lattice/kurs14/impl1/source/edge_detector.v(21[25:65])
    defparam mux_189_i11_3_lut_4_lut_3_lut.init = 16'hb2b2;
    LUT4 mux_189_i7_3_lut_4_lut_3_lut (.A(Previous), .B(LED2_c_0), .C(n678), 
         .Z(\Counter2_15__N_19[6] )) /* synthesis lut_function=(A ((C)+!B)+!A !(B+!(C))) */ ;   // c:/lattice/kurs14/impl1/source/edge_detector.v(21[25:65])
    defparam mux_189_i7_3_lut_4_lut_3_lut.init = 16'hb2b2;
    LUT4 mux_189_i4_3_lut_4_lut_3_lut (.A(Previous), .B(LED2_c_0), .C(n681), 
         .Z(\Counter2_15__N_19[3] )) /* synthesis lut_function=(A ((C)+!B)+!A !(B+!(C))) */ ;   // c:/lattice/kurs14/impl1/source/edge_detector.v(21[25:65])
    defparam mux_189_i4_3_lut_4_lut_3_lut.init = 16'hb2b2;
    
endmodule
//
// Verilog Description of module TSALL
// module not written out since it is a black-box. 
//

//
// Verilog Description of module PUR
// module not written out since it is a black-box. 
//

